## org.apache.mahout.utils.clustering
Enum ClusterDumper.OUTPUT_FORMAT

    java.lang.Object
      java.lang.Enum<ClusterDumper.OUTPUT_FORMAT>
          org.apache.mahout.utils.clustering.ClusterDumper.OUTPUT_FORMAT

All Implemented Interfaces:
  Serializable, Comparable<ClusterDumper.OUTPUT_FORMAT>

Enclosing class:
  ClusterDumper

    public static enum ClusterDumper.OUTPUT_FORMAT

extends Enum<ClusterDumper.OUTPUT_FORMAT>

Enum Constant Summary
`CSV`
`GRAPH_ML`
`JSON`
`TEXT`

Method Summary
`static ClusterDumper.OUTPUT_FORMAT` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClusterDumper.OUTPUT_FORMAT[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT

    public static final ClusterDumper.OUTPUT_FORMAT TEXT

### CSV

    public static final ClusterDumper.OUTPUT_FORMAT CSV

### GRAPH_ML

    public static final ClusterDumper.OUTPUT_FORMAT GRAPH_ML

### JSON

    public static final ClusterDumper.OUTPUT_FORMAT JSON

Method Detail

### values

    public static ClusterDumper.OUTPUT_FORMAT[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ClusterDumper.OUTPUT_FORMAT c : ClusterDumper.OUTPUT_FORMAT.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ClusterDumper.OUTPUT_FORMAT valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.